Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-alternatives
BuildRequires: libdb1-devel libidn-devel texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{?!with_cache: %global with_cache 0}

Name: jwhois
Version: 4.0
Release: alt2_77
URL: http://www.gnu.org/software/jwhois/
Source0: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz
Source1: https://raw.githubusercontent.com/robert-scheck/jwhois/2bd561e06ca37cf6c2ef9f0a2e957e09f58e6972/example/jwhois.conf
Patch0: jwhois-4.0-connect.patch
Patch1: jwhois-4.0-ipv6match.patch
Patch2: jwhois-4.0-fclose.patch
Patch3: jwhois-4.0-select.patch
Patch5: jwhois-4.0-multi-homed.patch
Patch6: jwhois-4.0-libidn2.patch
Patch7: jwhois-4.0-idna.patch
Patch8: jwhois-4.0-idnfail.patch
# Patch9: adds options to force querying on ipv4 or ipv6, see rhbz#1551215
Patch9: jwhois-4.0-ipv4_ipv6.patch
Patch10: jwhois-configure-c99.patch
Patch11: jwhois-c99.patch
License: GPL-3.0-only
Summary: Internet whois/nicname client
BuildRequires: gcc, libidn2-devel, autoconf, automake
%if %{with_cache}
BuildRequires: libgdbm-devel
%endif
%if 0%{?rhel} && 0%{?rhel} <= 7
%endif

%global genname whois
%global alternative jwhois
Source44: import.info

%description
A whois client that accepts both traditional and finger-style queries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1


iconv -f iso-8859-1 -t utf-8 < doc/sv/jwhois.1 > doc/sv/jwhois.1_
mv doc/sv/jwhois.1_ doc/sv/jwhois.1

cp -pf %{SOURCE1} example/jwhois.conf

autoreconf

%build
%if %{with_cache}
%configure --enable-sgid --localstatedir=%{_localstatedir}/cache/jwhois
%else
%configure
%endif
%make_build

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%if %{with_cache}
echo 'cachefile = "/var/cache/jwhois/jwhois.db";' >> $RPM_BUILD_ROOT/etc/jwhois.conf
install -m0775 -d $RPM_BUILD_ROOT/%{_localstatedir}/cache/jwhois
touch $RPM_BUILD_ROOT/%{_localstatedir}/cache/jwhois/jwhois.db
%endif

rm -f "$RPM_BUILD_ROOT"%{_infodir}/dir
%find_lang jwhois

# Make "whois.{%%alternative}" jwhois (because of localized manual pages).
echo .so man1/jwhois.1 > $RPM_BUILD_ROOT/%{_mandir}/man1/whois.%{alternative}.1

# Rename to alternative names
touch $RPM_BUILD_ROOT%{_bindir}/whois
chmod 755 $RPM_BUILD_ROOT%{_bindir}/whois
touch $RPM_BUILD_ROOT%{_mandir}/man1/whois.1
for rpm404_ghost in %{_bindir}/whois %{_mandir}/man1/whois.1.gz
do
    mkdir -p %buildroot`dirname "$rpm404_ghost"`
    touch %buildroot"$rpm404_ghost"
done
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/%{genname}_jwhois<<EOF
%{_bindir}/whois	%{_bindir}/jwhois	60
%{_mandir}/man1/whois.1.gz	%{_mandir}/man1/whois.%{alternative}.1.gz	%{_bindir}/jwhois
EOF


%files -f %{name}.lang
%_altdir/%{genname}_jwhois
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%if %{with_cache}
%attr(2711,root,jwhois) %{_bindir}/jwhois
%attr(2775,root,jwhois) %{_localstatedir}/cache/jwhois/jwhois.db
%else
%attr(0755,root,root) %{_bindir}/jwhois
%endif
%{_mandir}/man1/jwhois.1*
%lang(sv) %{_mandir}/sv/man1/jwhois.1*
%{_mandir}/man1/whois.%{alternative}.*
%{_infodir}/jwhois.info.*
%config(noreplace) %{_sysconfdir}/jwhois.conf

%if %{with_cache}
%pre
getent group jwhois >/dev/null || groupadd -r jwhois || :
%endif

%post
rm -f /usr/share/man/man1/whois.1.gz
:

%preun
if [ $1 = 0 ]; then
    :
fi

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_77
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_75
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_73
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_68
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_67
- update to new release by fcimport

* Wed Dec 01 2021 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_66
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_65
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 4.0-alt2_64
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 4.0-alt2_63
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_63
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_62
- update to new release by fcimport

* Sat Sep 28 2019 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_60
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_58
- update to new release by fcimport

* Fri Apr 26 2019 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_57
- update to new release by fcimport

* Fri Mar 08 2019 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_56
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_55
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_54
- update to new release by fcimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_53
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_51
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_50
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_48
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_47
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_46
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_43
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_38
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_35
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_33
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_32
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_31
- update to new release by fcimport

* Thu Feb 07 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_30
- initial fc import

